changeset:   2304:ac2833aa99bd
tag:         tip
parent:      2283:d3f3ad0c14a1
user:        Patrick Lang <patrick.lang@hotmail.com>
date:        Sun Dec 28 14:49:59 2014 -0800
summary:     [TM-D710G] Add support for Kenwood TM-D710G, no functional difference from TM-D710A #1287

diff -r d3f3ad0c14a1 -r ac2833aa99bd chirp/kenwood_live.py
--- a/chirp/kenwood_live.py	Mon Nov 17 21:24:37 2014 -0500
+++ b/chirp/kenwood_live.py	Sun Dec 28 14:49:59 2014 -0800
@@ -992,6 +992,21 @@
     """Kenwood TM-V71"""
     MODEL = "TM-V71"
 
+@directory.register
+class TMD710GRadio(TMD710Radio):
+    """Kenwood TM-D710G"""
+    MODEL = "TM-D710G"
+
+    @classmethod
+    def get_prompts(cls):
+        rp = chirp_common.RadioPrompts()
+        rp.experimental = ("This radio driver is currently under development, "
+                           "and supports the same features as the TM-D710A/E. "
+                           "There are no known issues with it, but you should "
+                           "proceed with caution.")
+        return rp
+
+
 THK2_DUPLEX = ["", "+", "-"]
 THK2_MODES = ["FM", "NFM"]
 THK2_TONES = list(chirp_common.TONES)

